/*
 * Copyright 2019 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package fr.gaellalire.vestige.spi.resolver;

import java.io.IOException;
import java.io.InputStream;
import java.security.cert.Certificate;

/**
 * @author Gael Lalire
 */
public interface VestigeJarEntry {

    long getSize();

    InputStream open() throws IOException;

    boolean isDirectory();

    long getModificationTime();

    String getName();

    Certificate[] getCertificates();

    /**
     * @since 3.1
     */
    VestigeJar getVestigeJar();

}
